### Virtual Method

# FwupdPlugin Backend setup

since: 1.6.1

#### Declaration [src]

    gboolean
    setup (
      FuBackend* self,
      FuBackendSetupFlags flags,
      FuProgress* progress,
      GError** error
    )

#### Description [src]

Sets up the backend ready for use, which typically calls the subclassed setup function. No devices should be added or removed at this point.

Available since: 1.6.1

#### Parameters

`flags`

  Type: `FuBackendSetupFlags`

  Some `FuBackendSetupFlags`, e.g. `FU_BACKEND_SETUP_FLAG_USE_HOTPLUG`.

`progress`

  Type: `FuProgress`

  A `FuProgress`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.